<!DOCTYPE html>
<html>
<head>
    <title>Welcome {{ ansible_hostname }}.local</title>
    <meta charset="utf-8">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="pragma" content="no-cache">
    <style>
      body {
        width: 35em;
        margin: 0 auto;
        font-family: Tahoma, Verdana, Arial, sans-serif;
      }
    </style>
  </head>
  <body>
    <h1>Welcome to {{ ansible_hostname }}</h1>
    <p>This webserver is a local CDN for Ideascube devices.</p>

    <ul>
      <li><a href="http://{{ server_name }}.local">Browse the CDN files</a></li>
      <li><a href="rclone-wasabi.log">Check the Synchronisation logs</a></li>
    </ul>

    <p>If on Windows OS or Android the link above might not work. <br />
    Add this to your OS host file :
    <pre>
    {{ ansible_default_ipv4.address }} {{ server_name }}.local
    </pre>
    </p>

    <hr />
    <h2>Network statistics for {{ server_interface_name }}</h2>
    <fieldset>
      <legend>Summary</legend>
      <img src="vnstat-summary.png" />
    </fieldset>
    <fieldset>
      <legend>Hourly</legend>
      <img src="vnstat-hours.png" />
    </fieldset>
    <fieldset>
      <legend>Daily</legend>
      <img src="vnstat-days.png" />
    </fieldset>
    <fieldset>
      <legend>Monthly</legend>
      <img src="vnstat-months.png" />
    </fieldset>
    <fieldset>
      <legend>Top 10</legend>
      <img src="vnstat-top10.png" />
    </fieldset>

  </body>
</html>
